История изменений:

Об ошибках стоит писать на электронную почту LazyDelphiBuilder@gmail.com (лучше использовать для этого пункт меню: Help->Email bug report to author...)

15.03.2014. Lazy Delphi Builder 1.10.9.269: 
0. Исправлено: угадывание версий Delphi не работало для XE5, XE6
1. Исправлено: некорректно отображалось название для XE6 (спасибо XXX а репорт)
2. Изменено: reset build status теперь работает для выделенных нескольких узлов
3. Исправлено: если lazyDbp файл загружался через Recent меню, его название не попадало в диалоги Open/Save
4. Изменено: доблавна пара новых правил для угадайки версии Delphi (не работало для VirtualTreeview)
5. Новое: создание при компиляции файлов для C++ Builder (чекбокс в Build dialog). NB: Если C++ Builder не установлен, то работать это не будет!

27.02.2014. Lazy Delphi Builder 1.10.8.268 Alpha:
Очень много нововведений в этой версии. Существенно переписано ядро. Экспериментальный устаревший TasksEx отвечавший за работу в фоне, заменен на Awaitable модуль от Романа Янковского. 
Если обнаружите ошибку, пожалуйста, сообщите.

I. Новое: 
0. Возможность использовать dccaarm, dcciosarm, dccios32 для сборки 
1. Появилась возможность компилировать только debug или только release - в Build dialog добавлена галочка Build release dcus.
2. Добавлены preset-ы для scan file masks
3. Добавлен preset "default" чтобы дать возможность сбросить настройки к значениям по умолчанию. Реализовано для: output directories, file scan masks
4. В диалоге Build settings теперь показывается страница настроек Search Paths
5. Выводить Total build time в конце билда
6. В дереве файлов: Check Wizard (Ctrl+W) - диалог дающий возможность выделить/снять выделение с файлов относящихся к выбранной версии Delphi.
7. Menu -> File -> добавлен пункт Merge profile, который позволяет обновить текущий профиль данными из другого профиля.
8. Base out dir теперь сохраняется в LazyDBP файле.
9. Оптимизирована скорость обработки найденных файлов
10. В дереве файлов для проектов и пакетов:
10.a. Теперь можно увидеть статус сборки (build status) (?? - не собирался, ok - собрался корректно, er - ошибка компиляции)
10.b. Фильтр теперь прячет папки в которых нет ни одного видимого файла
10.c. В всплывающее меню добавлены команды:
10.c.1. Сброс статус компиляции (может быть полезно, если вы хотите пересобрать этот пакет в режиме Continue Build) - Скопировать в буфер обмена лог инсталляции Найти проблемный пакет в Build Log-е
10.c.2. В Info panel теперь показывается к какой версии Delphi относится данный файл (угадайка).
II. Исправления:
0. При загрузке профиля из файла, игнорируется указанная в нём версия Delphi
1. В диалоге Build settings при запуске в temp/test mode не блокируются пресеты в каталогах - можно загрузить пресет и изменить папку
2. Игнорировалась значение указанное в Break after N errors (Build settings)
3. Если в профиле была указана инсталляция: XE 3 Architect. А на машине, где загружаем этот профиль установлена Enterprise - то внешне все будет выглядеть прилично, но при нажатии на Compile появится ошибка Assertion failure (uLazyIdeProxy.pas, line 886) LazyInstaller.CurrentInstallation not assigned.
4. При очистке профиля не очищается список Environment variables и Lazy Search paths
5. Для namespaces показывается некорректный список Recent(MRU)
6. В Build диалоге не отрисовывался фон в визарде
III. UI:
0. Installation log переименован в Build log
1. Блокировать пункт меню Edit -> Find, если текущая закладка не поддерживает поиск
2. В Save as диалог теперь подставляется имя файла загруженного профиля
3. Build dialog: добавить возможность указать CustomCompiler (раньше это можно было сделать только напрямую в файле LazyDBP).
4. В статусной строке теперь показывается количество проектов собранных с ошибкой.
5. В дереве файлов оптимизирована скорость переключения из режима списка в режим дерева. (теперь быстрее примерно на 46%)

15.09.2013. Lazy Delphi Builder 1.9.7.251:
0. Новое: теперь можно выбирать платформу для компиляции. Пока поддерживаются Win32, Win64 и OSX. Это сделано через замену вызова dcc32 на вызов dcc64 или dccOSX. Для использования других платформ, можно указывать нужный dcc вручную (см. пункт 9 в release notes к предыдущей версии)
1. Новое: теперь можно изменять число ошибок, после которого Lazy Builder останавливает билд (по-умолчанию 2, как и в предыдущих версиях)
2. Исправлено: Access Violation при нажатии кнопки "Load preset", который возникал при пустом списке (спасибо за отчёты об ошибках) 
3. Исправлено: в выходных папках нельзя было использовать Unicode-ные (не-ansi) символы. Реализовано так: преобразование в OEM теперь выполняется только для Delphi версий младше чем D2009 (я не нашёл точной информации о том, начиная с каких версий Delphi и Windows, корректно поддерживается Юникод в командной строке, если что-то не будет работать - пишите). 
4. Исправлено: Удаление package из IDE не работало для Delphi версий младше чем XE2.
5. Исправлено: Дерево с файлами: зависание при попытке посмотреть детальную инфу о проблменом (erroneous) пакете или проекте.
6. Исправлено (надеюсь): иногда невозможно изменить выбранную версию Delphi после компиляции 
7. Minor: исправлены подсказки на закладке "Scan settings" 
8. Minor: во всех текстах dcc32 был переименован в dccXX
9. Добавлена поддержка Delphi XE6 =)


28.04.2013. Lazy Delphi Builder 1.8.6.240:
0. Добавлена поддержка Delphi XE4 и XE5 (не тестировалось - напишите мне, если у вас это работает)
1. Сделать так, чтобы номера строк вообще не сохранялись для списков в .ini и .LzyDbp файлах .
2. Console: В справке командной строки выводить пример использования.
3. Исправлена ошибка с указанием в качестве BaseDir относительной папки (передачей в /OutputDirBase). Например написав просто Test компилироваться не будет.
4. При запуске компиляции блокировать возможность изменить выбранную версию Delphi
5. Возможна ситуация с Assertion Failed связанной с выбранной версией Delphi при попытке открыть диалог компиляции. Помогает перевыбор версии Delphi.
6. Исправлен AV при запуске программы без установленной Delphi.
7. При запуске программы без установленной Delphi, теперь блокируются контролы, требующие наличия Delphi для работы.
8. При сканировании файлов, для ProgressBar-а, вместо pstProgress использовать pstMarquee.
9. Дать возможность указывать свой собственный Компилятор командной строки. Или запускать свой .bat файл вместо dcc32. Сделано. Пока только с помощью редактирования LazyDBP файла: В секцию [[Build Settings]] надо добавить ключ: CustomCompiler=Полный путь к компилятору.
10. В Build диалоге Рядом с Base Folder добавить кнопку вызывающую Popup Menu с пунктами:
	1. Новая папка в temp директории
	2. Текущая папка
	3. Открыть Base-папку в Explorer-е
11. Исправлено: Если во процессе обработки файлов в дерево перетащить другую папку, процесс обработки прервется.
12. Empty Recycle bin не срабатывает если только что удалили и узел в дереве не раскрыт
13. Ошибка в дереве при Check All required: в случае, если в дереве есть пакеты с одинаковыми названиями, но удаленные в Recycle Bin, то выделение не сработает. Это было исправлено двояко. 1 через libsuffix. 2 через проверку флага удаления.
14. Увеличить размер поля для ввода defines
15. Отдельный CheckList редактор для DEFINES при Compile.
16. Сделать редактор для defines, чтобы полный список хранился в ини файле, а в редакторе можно было отметить галочки
17. Bug: Ctrl+A в дереве с файлами в режиме списка выделяет даже отфильтрованные записи
18. В дереве в Filter добавить кнопку очистки edit-a фильтра
19. в дереве в Filter сделать поддержку нескольких выражений через ; (спасибо Nashev-у за идею)
20. nashev: показывать в строке какой проект из скольки компилируется
21. Сохранение размеров форм
	1. Env options
	2. Build dialog
	3. MainForm
22. Preset-ы (возможность сохранить/загрузить набор значений с определенным именем): 
	1. для Env Vars 
	2. Lazy include Paths
	3. для Scan Folders
	4. для Exclude extensions
	5. в Build диалоге:
		1. для Build Options
		2. для Directories
23. В окне About не был указан емэйл
24. В окне About дать возможность скопировать ссылку в буфер обмена (правый клик -> Copy)
25. Ошибка: Hint может остаться висеть и не пропасть при переключении на другое окно или на другую программу.
26. обновить JCL
27. Закладка Installed Packages: прятать системные пакеты (пакеты, устанавливаемые в Bin папку Delphi)
28. Тестовая функция: Check Wizard (Ctrl+W) в дереве на закладке "2 Select Files to compile"
29. В меню дерева на закладке "Select Files to compile" новый пункт Check Packages for Current IDE
30. При изменении текущей версии Delphi, список пакетов должен обновляться.
31. Теперь все настройки хранятся в подпапке Data


13.09.2012. Lazy Delphi Builder 1.7.5.232
1. GUI: исправлен "бесконечный" List index out of bounds(-1) на 4й закладке (спасибо за отчёт Vladimir Misjuk, Nashev)
2. Console: Не выводить текст Compiling Packages если не выбран ни один package. Аналогично и для Compiling Projects
3. Console: При сборке показывать какой режим компиляции выбран
4. GUI: переименовать Export to .bpg в Export to .bpg (makefile).
5. GUI: Help: добавлен пункт меню: Email bug report to author, который открывает Mail Client и добавляет в аттач:
  * Текущий профиль
  * Журнал компиляции
  * Файл настроек

12.09.2012. Lazy Delphi Builder 1.7.4.230
1. Исправлено: Позор! LazyDBP файлы сохранялись в Ansi кодировке. Теперь будут в UTF8.
2. Для консоли добавлен параметр /quiet. С ним выводятся только сообщения об ошибках.
3. В предыдущей версии, забыл включить отладочную информацию в программу.
4. При сохранении профиля он не добавлялся в Recent.
5. В Build dialoge дать возможность быстро и сразу запустить режимы: Test Build. Либо через Double Click, либо через Shift+Click, либо через отдельную кнопку. Сделал через DropDownMenu
6. В дереве: При обрезании строки в виде списка, файлов обрезать его слева, там где папка, а не там где расширение.
7. Fix: В Build диалоге в Summary сообщение "Your Bpl out folder is set as default BPL path in IDE and it will be deleted before compile!" показывалось даже если галочка "Clean output folders before compile" не была отмечена. (Спасибо Perry Kappetein за отчет).
8. В Build диалоге показывать какой режим компиляции (test, continue, normal) выбран
9. В Build dialog-e на первой странице показывать описание каждого режима в отдельном поле (вместо hint-a) при наведении мышки
10. В Build dialog-e на первой странице показывать Packages count, Projects count
11. В Build диалоге показывать в Summary "Packages count, Projects count". При клике по нему, можно посмотреть список пакетов и проектов, которые будут компилироваться. 
12. Installed packages: в Popup Menu добавить пункты: 
	1. Копировать пути к файлам в буфер обмена
	2. Показать Shell Menu
13. Fix: У кнопки Stop иконка в выключенном состоянии теперь более тусклая (спасибо Nashev за отчёт)
14. Fix: Sorting Found files замораживает интерфейс.
15. New: GUI: В дереве с пакетами неудобно искать пакет собранный с ошибкой. Сделал фильтр: показать только ошибочные.
16. После сканирования файлов, кнопка Stop остается активной и её можно нажать.
17. В дереве в Info-мемо для пакетов показывать: 
	1. Description
	2. LibSuffix
	3. Defines
	4. Выводить Caption: Requires
18. В дереве при выделении ошибочного пакета и показе Info-мемо менять курсор на HourGlass и выполнять загрузку данных в Memo в отдельном потоке. А то интерфейс замораживается и непонятно, что там вообще происходит.
19. Ускорен вывод списка пакетов в том порядке, в котором они будут компилироваться в /debug режиме.
20. Ошибка в дереве при Check All required: в случае, если в дереве есть пакеты с одинаковыми названиями в разных ветках (папках) дерева, то могут быть выделены пакеты из другой ветки.
	* Сделана проверка LibSuffix
	* [ ]Но все-равно ещё возможна ситуация, когда ошибка повторится. Если, например в дереве будут пакеты с одинаковым именем и для CBuilder XE2 и для Delphi XE2. Как это например в LMD Tool Pack.
21. Install log: Добавить пункт меню Copy Full Log
22. Install log: При поиске по Ctrl+Up и Ctrl+Down переходить на идентификаторы:
	1. Compiling
	2. Fatal:
	3. Error:
	4. Successfully compiled
	5. Problematic Packages
23. В Console версии у параметра /tb подсказка от /verbose


05.09.2012. Lazy Delphi Builder 1.7.3.217
1.	Определение версии Delphi XE3 (у меня пока нет полной XE3 версии, поэтому я не тестировал компиляцию).
2.	Компиляция пакетов и проектов вынесена в  отдельный поток и больше не замораживает программу (эксперимент).
3.	Экспорт выделенных пакетов/проектов в .bpg-файл (Borland Project Group, старый формат – может быть импортирован и в новые версии Delphi) (эксперимент)
4.	Переписана работа с деревом. 
	a.	Альтернатива для Scan и Scan New Folder. Drag'n'drop в дерево файлов, для папок и отдельных файлов (.pas, .dcu, .dpr, .res, .dfm). Drag'n'Drop работает только для файлов, которые попадают под условия масок файлов File Masks на закладке Search Folders.
	b.	Исправлено несколько ошибок (EListError, Access Violation) возникавших после удаления файлов из Recycle Bin и прокрутки дерева.
	c.	Сортировка в дереве
	d.	Сделать пункт меню для очистки Recycle Bin-a
	e.	Автоматическое изменение ширины колонок при изменении размера дерева
	f.	Показывать информацию о детях в поле Type веток директорий
	g.	Не обрезать текст в дереве, там где это не нужно. Например, для длинных названий путей.
	h.	Команда Undo для дерева вынесена в меню Edit
5.	Исправлено несколько утечек памяти
6.	Открытие Build диалога по F9, Ctrl+F9, Alt+F9, Shift+F9
7.	В About добавлена ссылка на сайт
8.	Увеличено время показа Hint-ов.
9.	На системе с двумя мониторами окно появляется посередине между мониторами.
10.	Исправлен внутренний AV при выходе из программы
11.	Поиск (Ctrl+F) для пакетов списка установленных пакетов
12.	Поддержка NameSpaces для XE2: редактор, ключ -NS, сохранение в LazyDBP


14.05.2012. Lazy Delphi Builder 1.6.2.200
1. Изменено: В .LazyDbp файле всегда сохранять списки файлов в одном и том же порядке - упорядоченными по алфавиту. Чтобы было проще сравнивать 2 версии LazyDbp. (Svn Diff все-равно может пометить каждую строку измененной из-за того, что меняются номера строк. Зато, Beyond Compare сравнивает корректно файлы корректно.) 
2. Добавлены Горячие клавиши в Installation Log: Ctrl+Вверх и Ctrl+Вниз позволяют быстро перемещаться между сообщениями о начале компиляции ("Compiling ...").
3. Добавлена возможность останавливать процесс сборки пока удаляются файлы.
4. Встроен JCL диалог отлова исключений.
5. Добавлено: Закладка Installed Packages: Теперь можно удалять и отключать пакеты из выбранной версии Delphi.
6. Исправлено: Иногда профиль не компилировался без перезагрузки.
7. Закладка "Select files to compile":
	1. Добавлено: Устанавливать фокус на добавленную папку.
	2. Несколько исправлений в работе "Substitute path"
8. Изменено: Создание резервных копий файлов и их удаление теперь происходит в отдельном потоке.
9. Исправлено: Программа не работала с сетевыми путями.
10. Исправлена ошибка "List index out of bounds (-1)" на закладке "Library paths" формы "Environment Variables" (см. http://www.hostedredmine.com/issues/53575). 
11. Исправлено: !Не запускать CnDebugViewer!
12. Много небольших исправлений и улучшений в Installation Log.
13. Много исправлений и улучшений в GUI (около 20 разных мелочей).

11.09.2011. Lazy Delphi Builder 1.5.1.185
* Часть кнопок вынесена в главное меню.
* Добавлен режим работы “Продолжить сборку”. Т.е. если сборка остановилась с ошибкой, если устранить ошибку, то * можно продолжить собирать только те пакеты/проекты которые ещё не были собраны.
* Добавлен поиск (Ctrl+F) в дереве с пакетами и в журнале установки.
* Добавлено меню: Recently opened files
* Добавлено: в режиме /debug перед компиляцией выводить список пакетов в том порядке в каком они будут установлены.
* Исправлено: ошибка при запуске на компьютере где установлен Delphi XE2/Pulsar
* Добавлено: Если сборка остановилась с ошибкой, менять цвет ProgressBar-a на красный.
* Исправлено: при обновлении дерева файлов теряется текущая выделенная запись.
* Выводить время в Installation Log
* Добавлено: в дереве файлов опция Check all required packages.
* Build settings Dialog:
  * Выводить Warning если включена галочка Clear out dirs а папка для BPL-файлов является папкой по умолчанию для IDE.
  * Добавлены Hint-ы 
  * Добавлены обработчики для кнопок рядом с Edit-ами
  * На вкладке Directories добавлена кнопка Save to profile для сохранения настроек в профиль. (на случай если надо подправить настройки, а билд запускать незачем).
* Исправлено: При использовании относительных путей, переменные теперь должны обрабатываться корректно.
* Исправлено: больше не надо кликать в окно Log чтобы заработала прокрутка.
* Добавлено: Удаление файлов из Recycle Bin в дереве пакетов.
* Изменено: имя используемого ini-файла больше не зависит от имени exe файла. Всегда использовать файл: LazyDelphiBuilderGUI.ini.
Примечание: чтобы скомпилировать проекты FireMonkey надо в настройках компиляции указать dcc ключ --default-namespace:system.

12.04.2011. Lazy Delphi Builder 1.4.0.175
* Консольная версия: Теперь все ошибки должны корректно обрабатываться, в случае ошибки %ERRORLEVEL% точно будет устанавливаться в 1, более внятные сообщения.
* Добавлена возможность быстро запустить компиляцию во временную папку (%TEMP%), чтобы убедиться, что все компилируется. Созданные в папке %TEMP% папки удаляются при закрытии программы. Добавлен параметр командной строки /tb для запуска такой компиляции в консольной версии. В GUI версии добавлена кнопка, для быстрого заполнения выходных папок. Настройки для временной компиляции не сохраняются в профиле. При следующем открытии диалога настроек компиляции, там снова будут значения из профиля.
* Добавлена проверка корректности параметров командной строки при старте программы. Если LazyDB не узнает параметр, будет показано соответствующее сообщение. Консольная версия, остановится.
* Добавлен параметр командной строки /by, позволяющий пропустить проверку параметров.
* Теперь укорачивание путей (замена абсолютных путей на относительные, если они короче и длинных имен файлов/папок на короткие) включается только если используется версия Delphi младше чем 2005. Также добавлен параметр командной строки /sp - (Short Paths) позволяющий включить/отключить этот режим независимо от версии Delphi.
* Исправлено: не работают кнопки в диалоге настроек параметров билда.
* Исправлено: Вызов Scan New Folder.. из дерева на “виртуальных” папках “Resources, Sources”.
* Исправлено: возможное зависание при открытии диалога Browse for Folder.
* В дерево с файлами добавлена возможность открыть меню проводника для выделенного узла.
* В дереве с файлами исправлены ошибки при работе с пунктами контекстного меню для элементов находящихся в Корзине.
* В режиме /verbose и /debug при старте печатается список полученных параметров командной строки. Добавлено для упрощения отладки при запуске из скриптов.
* Консольная версия: изменено форматирование при выводе справки.
* Консольная версия: добавлен параметр командной строки /ev <EnvVarName=Value[;EnvVar2=Valu2]>. Ключ /ev предназначен для подмены значения переменной окружения. Работает как с переменными, сохраненными в профиле, так и с переменными Delphi, а также и системными. Подменяются только те значения, которые указаны в формате $(ИмяПеременной).

04.04.2011. Lazy Delphi Builder 1.3.0.163 (стабильная версия)
* Добавлена поддержка Delphi XE
* Исправлена ошибка, приводившая к тому, что пакеты могли просто не компилироваться, без каких-либо сообщений об ошибке.
* Больше отладочных сообщений в режиме /debug.
* Перед компиляцией проверяется, что dcc32 рабочий (не trial). Раньше в таких случаях Lazy Delphi Builder ничего не делал выводя текст: Compiled success.
* Изменен диалог компиляции. Теперь в виде мастера. Перед запуском компиляции выводится краткое описание того что будет сделано при запуске (какие папки будут использоваться, будет ли что-то удаляться).
* Исправлено: не сохранялось значение настройки Ignore IDE Paths.
* В дереве файлов: При Browse папки содержащей переменную $(Имя), подставляется значение переменной.
* Отладочный текст теперь выводится другим цветом.
* Дополнительный лог в главной форме по умолчанию в скрытом виде.
* Изменена иконка и логотип.
* Добавлена опция, позволяющая игнорировать настройки из .dproj, .bdsproj, .dof файлов. (настройки из .cfg файлов игнорировались и раньше).
- Известная ошибка: Lazy Delphi Builder некорректно читает настройки из .dproj файлов. Все настройки для конфигураций отличающихся от Base - игнорируются.

02.09.2009. Lazy Delphi Builder 1.2.8.140 (стабильная версия)
* Изменен способ загрузки исходников с относительными путями. Старый способ был слишком запутанным. Теперь для реализации относительных путей можно использовать переменные (аналог environment variables).
* Добавлена поддержка переменных (environment variables). Есть возможность переопределять переменные определённые в Delphi.
* Добавлена возможность настраивать папки Library Search Paths.
* Исправлены известные ошибки. Некоторые улучшения.
* Сделан сайт проекта: www.lazyproject.info.

13.04.2009. Lazy Delphi Builder 1.1.7.117
* Исправлено: Не срабатывает смена текущей версии IDE. 
* Исправлено: При первом сканировании и последующем удалении пакетов и компиляции, программа показывает неверное число выбранных пакетов.
* Исправлено: Info-panel не отображается автоматически для проектов собравшихся с ошибкой.
* Исправлено: Если в IDE в путях использовались переменные окружения(напр. $(BDS), $(DELPHI7)), то Lazy Delphi Builder пытался работать с ними как с директориями. Теперь он их раскодирует(как системные, так и переменные IDE).
* Сделано, чтобы при добавлении папок не приходилось делать 2 лишних клика. При клике на кнопке +, если текущая папка не указана, сначала показываем Browse диалог, а потом её сразу добавляем.
* Сделано, чтобы папки не удалялись и не создавались, если ничего не будет компилироваться и копироваться. Например, если в профиле нет и одного проекта, то папка Bin будет проигнорирована. Если не установлен флажок "Copy Resources", то папка Res будет проигнорирована и при удалении и при создании. Папка DebugDcu будет удалена/создана, только если включен флажок компиляции Debug Dcu. И т.п.
* Формы теперь всегда открываются по центру экрана.

23.03.2009. Lazy Delphi Builder 1.1.6.115
* Добавлена кнопка "Очистить профиль".
* Сделано, чтобы по ExcludeMask=*6* проверялись только имена файлов, без папок.
* В дереве пакетов включено выделение правой кнопкой мыши. 
* Исправлено: LazyDelphiBuilder в качестве пути берет только LibPath/DebugLibPath (c:\Program Files\CodeGear\RAD Studio\Lib), игнорируя Library Search Path.
* Исправлена ошибка с удалением папок (созданием резервной копии)
* Исправлено: не работало добавление папок, если есть BasePath
* Добавлено: Когда пользователь прерывает операцию, показывать соответствующий текст в статус баре
* Исправлено: После загрузки профиля с относительным каталогом, оный не подсвечивается жирным в дереве с файлами
* Исправлено: После изменения базовой папки, удалённые файлы вновь становятся активными.
* При вызове AddFolder из дерева, в качестве текущего пути, подставляется путь из узла находящегося под курсором.
* Разделил настройки на два файла: Настройки сканирования и истории в .ini файле, настройки компиляции и списки в .LazyDBP
* Добавлены команды Check all и Uncheck All для контекстных меню CheckListBox-ов

Известный баг: если после сканирования, удалить несколько pacakge-й, а потом запустить компиляцию, то она может вылететь с ошибкой. Помогает закрыть и переоткрыть программу(сохранить/загрузить профиль).

13.11.2008. Lazy Delphi Builder 0.9.4.100 beta4
* Добавлена галочка включающая/отключающая копирование файлов ресурсов при компиляции
* Добавлен параметр командной строки /CopyResources+-
* Исправлена ошибка с добавлением пустых папок для сканирования
* Fixed: Cannot terminate an externally created thread. 
* Добавлена возможность компилировать Debug версию DCU-шек. Это исправило "ошибку" с глюками с CodeCompletion - для нормальной работы Code Completion, как оказалось, нуждается в DebugDCU. Debug Dcu компилируются с отключенной оптимизацией(-$O-) и включенной Debug Information(-$D+)
* При загрузке и сохранении профилей, курсор ставится в HourGlass
* При компиляции используются короткие версии путей(8 символов)

30.10.2008. Lazy Delphi Builder 0.9.4.97(beta3)
* Исправлена ошибка с прорисовкой CheckBox-ов в Exclude Masks 
* Дистрибутив LazyDelphiBuilder теперь содержит 2 версии программы: 
  * LazyDelphiBuilder.exe - версия для консоли, которая умеет запускать сохраненные профили LazyDBP 
  * LazyDelphiBuilderGUI.exe - версия с GUI 
* На главную форму добавлена закладка, позволяющая просмотреть список зарегистрированных в IDE пакетов 
* В дереве найденных файлов добавлена возможность отменять удаление 
* Добавлена возможность добавлять папки для сканирования непосредственно в дерево найденных файлов 
* При компиляции, старые выходные папки не удаляются, а переименовываются в Bin.~, Bpl.~ и т.д. (можно отключить с помощью параметра командной строки /BackupOutFolders-). А старые папки Bin.~ теперь удаляются в Корзину(отключается с помощью параметра /UseRecycleBin-) 

21.10.2008. Lazy Delphi Builder 0.8.3.53 (beta)
* Добавлена возможность компилировать проекты
* Исправлено: в диалоге Build Settings для Binary Output path по умолчанию указывалась текущая папка Delphi\Bin
* Исправлено: обработка пустых строк('') в диалоге Build Settings
* Добавлен параметр командной строки /noAutoSave отключающий автосохранение настроек при выходе
* Добавлена закладка для просмотра отладочной информации(Отфильтровнные по ExcludeMasks файлы; списки Package-й, проектов, include-файлов, папок с ресурсами)
* Добавлено сохранение истории для OutFolders
* Исправлена ошибка с прорисовкой CheckBox-ов в Exclude Masks
* Добавлена проверка для выходных папок. Теперь не получится запустить компиляцию с пустыми выходными папками.
* Изменилось расширение у сохраненного профиля. Теперь это: .LazyDBP
* Изменен алгоритм очистки выходных папок. Старые папки сейчас переименовываются в ИмяПапки.bak. А предыдущие версии ИмяПапки.bak удаляются в корзину.
* + много косметических изменений

17.10.2008. Lazy Delphi Builder 0.8.2.52(beta)
* Первая публичная версия